Recommended update for pacemaker

SUSE Recommended Update: Recommended update for pacemaker
Announcement ID: SUSE-RU-2020:0006-1
Rating: moderate
References: #1032511 #1085515 #1094208 #1107270 #1114840 #1117381 #1117934 #1121272 #1121808 #1127716 #1128374 #1128772 #1130122 #1133866 #1136712 #1157232 #974108
Affected Products:
  • SUSE Linux Enterprise High Availability 12-SP2

An update that has 17 recommended fixes can now be installed.

Description:

This update for pacemaker fixes the following issues:

  • Fix for scheduler: wait for probe actions to be complete preventing unnecessary restart/re-promote of dependent resources. (bsc#1130122, bsc#1032511)
  • Fix confirming cancellation of failed monitors and improve recurring action messages. (bsc#1133866, bsc#1157232)
  • Return error when applying XML diffs containing unknown operations and avoid possible use-of-NULL. (bsc#1127716)
  • Fix for deleting guard hash table preventing crash during update. (bsc#1136712)
  • Avoid use-of-NULL when searching for remote node. (bsc#1128772)
  • Delete resource from lrmd when appropriate. (bsc#1117381, bsc#1157232)
  • Respect order constraints when relevant resources are being probed. (bsc#1117934, bsc#1128374)
  • CTS: don't require nodes to be specified if only listing tests (bsc#1114840)
  • cts-exec: still run the tests for the other resource classes even without python systemd bindings (bsc#1121808)
  • Clear constraints on cluster nodes and resume any possibly frozen remote nodes. (bsc#1121272)
  • Handle fencing requested with nodeid by utilizing the membership cache of known nodes. (bsc#1094208, bsc#1107270, bsc#974108)
  • Add option to manually confirm that unseen nodes are down. (bsc#1094208, bsc#1107270)
  • Set "symmetrical" defaults to "false" for serialize orders. (bsc#1085515)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise High Availability 12-SP2:
    zypper in -t patch SUSE-SLE-HA-12-SP2-2020-6=1

Package List:

  • SUSE Linux Enterprise High Availability 12-SP2 (ppc64le s390x x86_64):
    • libpacemaker3-1.1.15-23.6.1
    • libpacemaker3-debuginfo-1.1.15-23.6.1
    • pacemaker-1.1.15-23.6.1
    • pacemaker-cli-1.1.15-23.6.1
    • pacemaker-cli-debuginfo-1.1.15-23.6.1
    • pacemaker-cts-1.1.15-23.6.1
    • pacemaker-cts-debuginfo-1.1.15-23.6.1
    • pacemaker-debuginfo-1.1.15-23.6.1
    • pacemaker-debugsource-1.1.15-23.6.1
    • pacemaker-remote-1.1.15-23.6.1
    • pacemaker-remote-debuginfo-1.1.15-23.6.1

References: